#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);cin.tie(0);cout.tie(0);
    int n, k;
    bool t = 0;
    cin >> n >> k;
    vector<int> a(n);
    for (int i = 0; i < n; i++){
        cin >> a[i];
        if (a[i] == 1)t = 1;
    }
    if (t)cout << 1;
    else cout << 0;
}
